SDL_zxdg_shell_surface Struct Reference

`#include <SDL_waylandwindow.h>`

## Data Fields

struct zxdg_surface_v6 * | surface
union {
struct zxdg_toplevel_v6 * toplevel
struct zxdg_popup_v6 * popup
} | roleobj

## Detailed Description

Definition at line 34 of file SDL_waylandwindow.h.

## Field Documentation

## popup

struct zxdg_popup_v6* SDL_zxdg_shell_surface::popup

Definition at line 38 of file SDL_waylandwindow.h.

## roleobj

union { ... } SDL_zxdg_shell_surface::roleobj

## surface

struct zxdg_surface_v6* SDL_zxdg_shell_surface::surface

Definition at line 35 of file SDL_waylandwindow.h.

## toplevel

struct zxdg_toplevel_v6* SDL_zxdg_shell_surface::toplevel

Definition at line 37 of file SDL_waylandwindow.h.

The documentation for this struct was generated from the following file:

- src/video/wayland/SDL_waylandwindow.h